""" Copyright 2024-2025 LEDR Technologies Inc.
This file is part of the Orchestra library, which helps developer use our Orchestra technology which is based on AvesTerra, owned and developped by Georgetown University, under license agreement with LEDR Technologies Inc.
The Orchestra library is a free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.
The Orchestra library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
You should have received a copy of the GNU Lesser General Public License along with the Orchestra library. If not, see <https://www.gnu.org/licenses/>.
If you have any questions, feedback or issues about the Orchestra library, you can contact us at support@ledr.io.
"""

from enum import IntEnum


class AxAvesterra(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ADDRESS = 2
    ANCILLARY = 3
    ASPECT = 4
    ATTACHMENT = 5
    ATTRIBUTE = 6
    AUTHORITY = 7
    AUTHORIZATION = 8
    AUXILIARY = 9
    BYTES = 10
    CATEGORY = 11
    CLASS = 12
    CONDITION = 13
    CONNECTION = 14
    CONTEX = 15
    COUNT = 16
    CREDENTIAL = 17
    ENTIT = 18
    EVENT = 19
    INDEX = 20
    INSTANCE = 21
    KEY = 22
    METHOD = 23
    MODE = 24
    NAME = 25
    OFFSET = 26
    OUTLET = 27
    PARAMETER = 28
    PRECEDENCE = 29
    RESULTANT = 30
    SERVER = 31
    STATE = 32
    SUBSCRIPTION = 33
    TAG = 34
    TIME = 35
    TIMEOUT = 36
    TOKEN = 37
    VALUE = 38


class AxAction(IntEnum):
    NULL = 0
    AVESTERRA = 1


class AxAdapter(IntEnum):
    NULL = 0
    AVESTERRA = 1
    REGISTRY = 2
    OBJECT = 3
    FOLDER = 4
    FILE = 5
    GENERAL = 6
    COMPARTMENT = 7
    TRASH = 8
    AGENT = 9
    TUPLE = 10
    PRIVACY = 11
    SPACE = 12
    BOOST = 13
    THRUST = 14
    BACKUP = 15
    MIRROR = 16
    FAILOVER = 17


class AxAspect(IntEnum):
    NULL = 0
    AVESTERRA = 1
    X_LABEL = 2
    VALUE = 3
    PROPERTY = 4
    ANNOTATION = 5
    DATA = 6
    ATTRIBUTE = 7
    ENTITY = 8
    INSTANCE = 9
    INDEX = 10
    COUNT = 11
    REFERENCE = 12
    METHOD = 13
    NAME = 14
    KEY = 15
    ASPECT = 16
    CONTEXT = 17
    CATEGORY = 18
    CLASS = 19
    MODE = 20
    PRECEDENCE = 21
    TAG = 22
    TIME = 23
    ERROR = 24
    EVENT = 25
    PARAMETER = 26
    RESULT = 27
    TIMEOUT = 28
    AUTHORIZATION = 29
    AUTHORITY = 30
    AUXILIARY = 31
    ANCILLARY = 32
    OUTLET = 33
    FUNCTION = 34
    VARIABLE = 35
    TABLE = 36
    UNIT = 37
    PREFIX = 38
    CONFIDENCE = 39
    UNCERTAINTY = 40
    REGISTRY = 41
    FOLDER = 42
    OBJECT = 43
    TEMPLATE = 44
    CONCEPT = 45
    ITEM = 46
    TRAIT = 47
    PROPERTY_NAME = 48
    PROPERTY_KEY = 49
    PROPERTY_VALUE = 50
    FACT = 51
    FACET = 52
    FACTOR = 53
    FEATURE = 54
    FIELD = 55
    FRAME = 56


AvAspect = AxAspect


class AxAttribute(IntEnum):
    NULL = 0
    AVESTERRA = 1
    CATEGORY = 2
    CLASS = 3
    NAME = 4
    VALUE = 5
    AUTHORITY = 6
    TIME = 7
    DATE = 8
    PLACE = 9
    POSITION = 10
    LOCATION = 11
    ELEVATION = 12
    LATITUDE = 13
    LONGITUDE = 14
    DIRECTION = 15
    AREA = 16
    VOLUME = 17
    WEIGHT = 18
    DISTANCE = 19
    SIZE = 20
    LENGTH = 21
    WIDTH = 22
    HEIGHT = 23
    GEOMETRY = 24
    INTENSITY = 25
    ADDRESS = 26
    POSTAL = 27
    CITY = 28
    DISTRICT = 29
    STATE = 30
    COUNTRY = 31
    REGION = 32
    CONTINENT = 33
    MEMBER = 34
    AGE = 35
    SEX = 36
    RACE = 37
    ETHNICITY = 38
    RELIGION = 39
    LANGUAGE = 40
    EDUCATION = 41
    EMPLOYMENT = 42
    OCCUPATION = 43
    INCOME = 44
    WEALTH = 45
    SPOUSE = 46
    CHILD = 47
    SIBLING = 48
    PARENT = 49
    FAMILY = 50
    FATHER = 51
    MOTHER = 52
    HOME = 53
    HEALTH = 54
    GENETIC = 55
    POPULATION = 56
    SOCIOCULTURAL = 57
    LINGUISTIC = 58
    ETHNOGRAPHIC = 59
    VARIABLE = 60
    EQUATION = 61
    CELL = 62
    MOBILE = 63
    OFFICE = 64
    WORK = 65
    VERSION = 66
    MANUFACTURER = 67
    MODEL = 68
    OWNER = 69
    IDENTITY = 70
    ID = 71
    NETWORK = 72
    ROUTING = 73
    GRAPH = 74
    NODE = 75
    LINK = 76
    VERTEX = 77
    EDGE = 78
    SOURCE = 79
    DESTINATION = 80
    FROM = 81
    TO = 82
    TARGET = 83
    EGRESSES = 84
    THREAT = 85
    ENDPOINT = 86
    CONNECTOME = 87
    REFERENCE = 88
    WEBSITE = 89
    FEATURE = 90
    CONDITION = 91
    WEATHER = 92
    NEUROLOGICAL = 93
    SOCIOLOGICAL = 94
    PSYCHOLOGICAL = 95
    RELATIONSHIP = 96
    ASSOCIATION = 97
    INTERACTION = 98
    WORKSPACE = 99
    VIEW = 100
    FILTER = 101
    COORDINATE = 102
    AFFILIATION = 103
    MEMBERSHIP = 104
    RESIDENCE = 105
    NEAR = 106
    SENTIMENT = 107
    CONFIDENCE = 108
    DISTINCT = 109
    AMBIGUITY = 110
    ERROR = 111
    RELIABILITY = 112
    OTHER = 113
    ZIP = 114
    URL = 115
    PHONE = 116
    WEB = 117
    CODE = 118
    TERRITORY = 119
    EMPLOYEE = 120
    COLLEGE = 121
    DIVISION = 122
    DEPARTMENT = 123
    SCHOOL = 124
    CAMPUS = 125
    ACCOUNT = 126
    REGISTRY = 127
    MANAGER = 128
    STATUS = 129
    EMAIL = 130
    TITLE = 131
    ORGANIZATION = 132
    JOB = 133
    AGREEMENT = 134
    INVENTION = 135
    COLLABORATION = 136
    FINANCE = 137
    INFORMATION = 138
    TIMEZONE = 139
    CAPITAL = 140
    NEIGHBOR = 141
    PLANET = 142
    CURRENCY = 143
    SERVER = 144
    ANALYTIC = 145
    ADAPTER = 146
    LIST = 147
    SET = 148
    APPLICATION = 149
    HUMAN = 150
    FUNCTION = 151
    BRAIN = 152
    NEURON = 153
    SYNAPSE = 154
    LAPTOP = 155
    DESKTOP = 156
    TELEPHONE = 157
    CELLPHONE = 158
    SMARTPHONE = 159
    MAINFRAME = 160
    TABLET = 161
    MARRIAGE = 162
    TOWN = 163
    VILLAGE = 164
    COUNTY = 165
    PROVINCE = 166
    ROAD = 167
    HIGHWAY = 168
    RAILROAD = 169
    ORGAN = 170
    GENE = 171
    PROTEIN = 172
    MOLECULE = 173
    DISEASE = 174
    DRUG = 175
    ATLAS = 176
    MAP = 177
    COMPUTER = 178
    PASSAGE = 179
    TRACT = 180
    COMPANY = 181
    FOLDER = 182
    GROUP = 183
    PERSON = 184
    HOUSEHOLD = 185
    COMMUNITY = 186
    BUSINESS = 187
    PROCESS = 188
    TASK = 189
    PROGRAM = 190
    MATHEMATICS = 191
    SUBSTANCE = 192
    CHEMICAL = 193
    STRUCTURE = 194
    INFRASTRUCTURE = 195
    FACILITY = 196
    FARM = 197
    PATH = 198
    MACHINE = 199
    DEVICE = 200
    PLATFORM = 201
    VEHICLE = 202
    CONTRACT = 203
    HYPOTHESIS = 204
    MILITARY = 205
    GRANT = 206
    PROPOSAL = 207
    DOCUMENT = 208
    SPECIALTY = 209
    MEDICAL = 210
    TYPE = 211
    ACTIVITY = 212
    MONEY = 213
    COST_CENTER = 214
    PROJECT = 215
    STUDY = 216
    FUND = 217
    GIFT = 218
    AWARD = 219
    NEWS = 220
    INVESTIGATOR = 221
    TEAM = 222
    CLIMATE = 223
    SYSTEM = 224
    SUBSYSTEM = 225
    MENTION = 226
    SUBTYPE = 227
    TEXT = 228
    MODE = 229
    MODALITY = 230
    GENERICITY = 231
    TENSE = 232
    POLARITY = 233
    ENTITY = 234
    EVENT = 235
    RELATION = 236
    GEOPOLITICS = 237
    WEAPON = 238
    SPONSOR = 239
    COST = 240
    SCHEDULE = 241
    PURPOSE = 242
    DESCRIPTION = 243
    SUPPLIER = 244
    CONTRACTOR = 245
    PAYMENT = 246
    SUBCLASS = 247
    ITEM = 248
    STOCK = 249
    STORE = 250
    SUBSIDIARY = 251
    LEADER = 252
    SHAREHOLDER = 253
    FOUNDER = 254
    PERPETRATOR = 255
    VICTIM = 256
    ACTOR = 257
    RECIPIENT = 258
    BENEFICIARY = 259
    CRIME = 260
    SENTENCE = 261
    PROVENANCE = 262
    AIRPORT = 263
    PORT = 264
    STATION = 265
    ONTOLOGY = 266
    POWER_PLANT = 267
    CAPACITY = 268
    POWER = 269
    FUEL = 270
    AIRPLANE = 271
    SHIP = 272
    TRAIN = 273
    CAR = 274
    INSTRUMENT = 275
    SHIPMENT = 276
    OBJECT = 277
    BUILDING = 278
    LAW = 279
    SUSPECT = 280
    RESULT = 281
    OUTCOME = 282
    CANDIDATE = 283
    ELECTION = 284
    BALLOT = 285
    WAREHOUSE = 286
    PALLET = 287
    VENDOR = 288
    BUYER = 289
    SELLER = 290
    TRANSACTION = 291
    ARRANGEMENT = 292
    DEAL = 293
    FAX = 294
    NOTE = 295
    COMMENT = 296
    COUNT = 297
    ORIGIN = 298
    HEADQUARTERS = 299
    MAIN = 300
    SALES = 301
    LABOR = 302
    SCORE = 303
    HOURS = 304
    UNIT = 305
    PRICE = 306
    INVENTORY = 307
    COMMODITY = 308
    DEFENDANT = 309
    PLAINTIFF = 310
    RESERVATION = 311
    PLAN = 312
    SEASON = 313
    PASSWORD = 314
    CUSTOMER = 315
    GENDER = 316
    NUMBER = 317
    ROLE = 318
    MERCHANDISE = 319
    POLYGON = 320
    RISK = 321
    GOAL = 322
    EXPENSE = 323
    TEMPLATE = 324
    INDEX = 325
    METRIC = 326
    RESOURCE = 327
    IMPACT = 328
    CITATION = 329
    GAIN = 330
    LOSS = 331
    COMPOSITE = 332
    PRODUCTIVITY = 333
    ARRIVAL = 334
    DEPARTURE = 335
    SPEED = 336
    VELOCITY = 337
    ACCELERATION = 338
    MEASUREMENT = 339
    MASS = 340
    FORCE = 341
    MOMENTUM = 342
    COLOR = 343
    TEXTURE = 344
    SHADE = 345
    SHAPE = 346
    SOUND = 347
    CLIENT = 348
    SUPERVISOR = 349
    LABEL = 350
    SUBSUBTYPE = 351
    VARIETY = 352
    MAKE = 353
    YEAR = 354
    JUSTIFICATION = 355
    CONTROL = 356
    SURROUND = 357
    RESPONSIBILITY = 358
    BLAME = 359
    OPINION = 360
    INFLUENCE = 361
    ASSERTION = 362
    ATTRIBUTION = 363
    CITIZENSHIP = 364
    HEADING = 365
    BIRTHDAY = 366
    FLIGHT = 367
    ROUTE = 368
    SECTION = 369
    SEAT = 370
    AISLE = 371
    ROW = 372
    COLUMN = 373
    FIELD = 374
    SKU = 375
    QUANTITY = 376
    QUALITY = 377
    NET = 378
    FILE = 379
    MUNICIPALITY = 380
    SERVICE = 381
    ORDER = 382
    PURCHASE = 383
    MATERIAL = 384
    PACKAGING = 385
    WARRANTY = 386
    REVENUE = 387
    EARNINGS = 388
    DURATION = 389
    SERIAL_NUMBER = 390
    TEST = 391
    TRAVEL = 392
    SYMPTOM = 393
    EXPOSURE = 394
    DIAGNOSIS = 395
    CONTACT = 396
    TEMPERATURE = 397
    REPORT = 398
    PATIENT = 399
    HOSPITAL = 400
    CLINIC = 401
    PROVIDER = 402
    FACTORY = 403
    KEY = 404
    ZONE = 405
    PERIMETER = 406
    OCCUPANCY = 407
    VISIT = 408
    VISITOR = 409
    PRIVACY = 410
    ALERT = 411
    ABSTRACT = 412
    ROOM = 413
    LEVEL = 414
    COURSE = 415
    STUDENT = 416
    FACULTY = 417
    STAFF = 418
    ADVISOR = 419
    INSTRUCTOR = 420
    ALARM = 421
    HOST = 422
    CONCEPT = 423
    ELEMENT = 424
    INSTANCE = 425
    PROPERTY = 426
    ATTRIBUTE = 427
    KIND = 428
    DATA = 429
    JOURNAL = 430
    ARTICLE = 431
    PUBLICATION = 432
    BOOK = 433
    PERIODICAL = 434
    CALENDAR = 435
    LOG = 436
    COLLECTION = 437
    PERMISSION = 438
    EXAMPLE = 439
    MODULE = 440
    DIRECTORY = 441
    CACHE = 442
    BEHAVIOR = 443
    AGENT = 444
    SLOT = 445
    SENSOR = 446
    ACTUATOR = 447
    ACTION = 448
    PERCEPT = 449
    UTILITY = 450
    LETTER = 451
    OFFER = 452
    MESSAGE = 453
    TECHNOLOGY = 454
    BUDGET = 455
    FUNDING = 456
    COLLABORATOR = 457
    DEPUTY = 458
    TREATMENT = 459
    PROGNOSIS = 460
    SECURITY = 461
    DOMAIN = 462
    SUBMISSION = 463
    RATE = 464
    COMMAND = 465
    METHOD = 466
    INTERCHANGE = 467
    SUMMARY = 468
    READINESS = 469
    CLASSIFICATION = 470
    SECRETARY = 471
    PERSONNEL = 472
    REPRESENTATIVE = 473
    IMPLEMENTATION = 474
    COMMERCIAL = 475
    CLOSURE = 476
    INVOICE = 477
    BALANCE = 478
    PERIOD = 479
    VARIANCE = 480
    ALLOCATION = 481
    CONTRIBUTION = 482
    SOLICITATION = 483
    HISTORY = 484
    OUTLET = 485
    CHARACTERISTIC = 486
    ASPECT = 487
    FACET = 488
    PATTERN = 489
    TRAIT = 490
    FORM = 491
    IMPORT = 492
    EXPORT = 493
    CART = 494
    CONTAINER = 495
    MARKET = 496
    SEGMENT = 497
    CREW = 498
    PASSENGER = 499
    DATABASE = 500
    TABLE = 501
    CONTEXT = 502
    FORMAT = 503
    COMPARTMENT = 504
    AUTHORIZATION = 505
    TOKEN = 506
    SUBJECT = 507
    PREDICATE = 508
    ARGUMENT = 509
    NOUN = 510
    VERB = 511
    ADJECTIVE = 512
    ADVERB = 513
    USER = 514
    FOOD = 515
    MEAL = 516
    APPETIZER = 517
    ENTREE = 518
    SIDEDISH = 519
    DESSERT = 520
    BEVERAGE = 521
    FRUIT = 522
    VEGETABLE = 523
    MEAT = 524
    SNACK = 525
    CONFIGURATION = 526
    LAYOUT = 527
    COMMISSIONER = 528
    ATTORNEY = 529
    COUNSELOR = 530
    DELEGATE = 531
    LEGISLATOR = 532
    COUNCILOR = 533
    PROXY = 534
    SENATOR = 535
    MESSENGER = 536
    SALESPERSON = 537
    ADMINISTRATOR = 538
    HATCH = 539
    CRANE = 540
    STEVEDORE = 541
    CARGO = 542
    BERTH = 543
    DOCK = 544
    PIER = 545
    EQUIPMENT = 546
    TOOL = 547
    GEAR = 548
    GANG = 549
    SHIFT = 550
    LIFT = 551
    SHIPPER = 552
    SENDER = 553
    RECEIVER = 554
    VERIFICATION = 555
    VALIDATION = 556
    AUTHENTICATION = 557
    DEPLOYMENT = 558
    SHARE = 559
    EMISSIONS = 560
    WASTE = 561
    WATER = 562
    ENERGY = 563
    HEAT = 564
    ELECTRICITY = 565
    RESTAURANT = 566
    LOBBY = 567
    POOL = 568
    GARAGE = 569
    KITCHEN = 570
    LAUNDRY = 571
    HOUSEKEEPING = 572
    MAINTENANCE = 573
    ENGINEERING = 574
    MARKETING = 575
    DINING = 576
    DEMOGRAPHIC = 577
    MATCH = 578
    LABORATORY = 579
    RESTRICTION = 580
    PRIVILEGE = 581
    ENTITLEMENT = 582
    LIMIT = 583
    RANGE = 584
    ALIAS = 585
    ALTERNATIVE = 586
    TRACK = 587
    TREND = 588
    POLICY = 589
    TRANSPORT = 590
    CALCULATION = 591
    COMPUTATION = 592
    AUDIT = 593
    BATCH = 594
    CLOCK = 595
    PUBLISHER = 596
    SUBSCRIBER = 597
    INCLUSION = 598
    EXCLUSION = 599
    ENRICHMENT = 600
    FULFILLMENT = 601
    PRODUCTION = 602
    PRODUCER = 603
    CONSUMER = 604
    STORAGE = 605
    CONSUMPTION = 606
    SPACE = 607
    SCALE = 608
    COUNTER = 609
    PENDING = 610
    CHURCH = 611
    TEMPLE = 612
    MOSQUE = 613
    SYNAGOGUE = 614
    CATHEDRAL = 615
    MONASTERY = 616
    MOTEL = 617
    BANK = 618
    MALL = 619
    GROCERY = 620
    POLICE = 621
    FIRE = 622
    LIBRARY = 623
    MUSEUM = 624
    COURTHOUSE = 625
    PRISON = 626
    POST_OFFICE = 627
    GYMNASIUM = 628
    STADIUM = 629
    ARENA = 630
    AUDITORIUM = 631
    BLOODBANK = 632
    PHARMACY = 633
    MORTUARY = 634
    CEMETERY = 635
    CIVIC_CENTER = 636
    COMMUNITY_CENTER = 637
    CONFERENCE_CENTER = 638
    FITNESS_CENTER = 639
    DISTRIBUTION_CENTER = 640
    RECREATION_CENTER = 641
    STORAGE_FACILITY = 642
    MANUFACTURING_PLANT = 643
    NUCLEAR_PLANT = 644
    WATER_PLANT = 645
    SEWAGE_PLANT = 646
    FILLING_STATION = 647
    CHARGING_STATION = 648
    UNIVERSITY = 649
    PRESCHOOL = 650
    ELEMENTARY_SCHOOL = 651
    MIDDLE_SCHOOL = 652
    HIGH_SCHOOL = 653
    TECHNICAL_SCHOOL = 654
    HOUSE = 655
    TOWNHOUSE = 656
    APARTMENT = 657
    CONDOMINIMUM = 658
    HOSTEL = 659
    RESORT = 660
    TRAIN_STATION = 661
    BUS_STATION = 662
    FERRY_TERMINAL = 663
    TAXI_STAND = 664
    BUS_STAND = 665
    BICYCLE_STAND = 666
    TOWER = 667
    WIFI = 668
    TRANSMITTER = 669
    DEFIBRILLATOR = 670
    TELLER_MACHINE = 671
    VENDING_MACHINE = 672
    STREETLIGHT = 673
    CAMERA = 674
    HYDRANT = 675
    DIRECTOR = 676
    COMPOSER = 677
    PERFORMER = 678
    STAGE = 679
    SCREEN = 680
    MENU = 681
    HOTEL = 682
    LOUNGE = 683
    BASEMENT = 684
    RECEPTION = 685
    AXIS = 686
    SERIES = 687
    ANNOTATION = 688
    FACT = 689
    FACTOR = 690
    FRAME = 691
    INCIDENT = 692
    SITUATION = 693
    STORY = 694
    PHRASE = 695
    KNOWLEDGE = 696
    SIGNAL = 697
    COMPONENT = 698
    INJURY = 699
    KEYWORD = 700
    CLUSTER = 701
    DATA_TYPE = 702
    INFORMATION_TYPE = 703
    KNOWLEDGE_TYPE = 704
    DATA_STRUCTURE = 705
    INFORMATION_STRUCTURE = 706
    KNOWLEDGE_STRUCTURE = 707
    CONTENT = 708
    EXTRACT = 709
    PIECE = 710
    IMAGE = 711
    IDENTIFIER = 712
    RANK = 713
    PARAMETER = 714
    TUNNEL = 715
    BORE = 716
    PORTAL = 717
    WINDOW = 718
    DOOR = 719
    QUESTION = 720
    ANSWER = 721
    BUILD = 722
    EXECUTABLE = 723
    DOCUMENTATION = 724
    CERTIFICATE = 725
    SCRIPT = 726
    HELP = 727
    PRIMARY = 728
    SECONDARY_ = 729
    TERTIARY = 730
    ALTERNATE = 731
    CARDINAL = 732
    ORDINAL = 733
    PART = 734
    INCORPORATION = 735
    UNIFICATION = 736
    AMALGAMATION = 737
    COALESENCE = 738
    COMBINATION = 739
    CONSOLIDATION = 740
    SUM = 741
    PRODUCT = 742
    DIFFERENCE = 743
    UNION = 744
    INTERSECTION = 745
    MERGE = 746
    THRESHOLD = 747
    ACCOMODATION = 748
    CORPORATION = 749
    ENCRYPTION = 750
    DECRYPTION = 751
    HASH = 752
    CHECKSUM = 753
    INDUSTRY = 754
    EXPERIENCE = 755
    PROFILE = 756
    SKILL = 757
    ABILITY = 758
    PERFORMANCE = 759
    CAPITALIZATION = 760
    RELEVANCE = 761
    SLOGAN = 762
    COMMISSION = 763
    CHECK = 764
    CHART = 765
    INCENTIVE = 766
    NEIGHBORHOOD = 767
    ATTENDANT = 768
    CHEF = 769
    MILLENNIUM = 770
    CENTRY = 771
    DECADE = 772
    MONTH = 773
    WEEK = 774
    DAY = 775
    CREDENTIAL = 776
    AUDIO = 777
    VIDEO = 778
    SUBCATEGORY = 779
    CREATOR = 780
    GUEST = 781
    TENANT = 782
    DEVELOPER = 783
    ENTERPRISE = 784
    CONSTELLATION = 785
    APPLIANCE = 786
    RECEPTACLE = 787
    COUPLING = 788
    APPEARANCE = 789
    PROVISION = 790
    REPOSITORY = 791
    BACKUP = 792
    ROOT = 793
    QUERY = 794
    PROBLEM = 795
    SOLUTION = 796
    HEADER = 797
    BODY = 798
    FOOTER = 799
    NAVIGATION = 800
    SECTOR = 801
    TAXONOMY = 802


AvAttribute = AxAttribute


class AxCategory(IntEnum):
    NULL = 0
    AVESTERRA = 1
    SERVER = 2
    ANALYTIC = 3
    ADAPTER = 4
    REGISTRY = 5
    WORKSPACE = 6
    LIST = 7
    SET = 8
    VIEW = 9
    APPLICATION = 10
    SAPIEN = 11
    GENETIC = 12
    SOCIOCULTURAL = 13
    LINGUISTIC = 14
    ETHNOGRAPHIC = 15
    FUNCTION = 16
    VARIABLE = 17
    BRAIN = 18
    NEURON = 19
    SYNAPSE = 20
    LAPTOP = 21
    DESKTOP = 22
    MOBILE = 23
    TELEPHONE = 24
    CELLPHONE = 25
    SMARTPHONE = 26
    MAINFRAME = 27
    TABLET = 28
    MARRIAGE = 29
    CITY = 30
    TOWN = 31
    VILLAGE = 32
    STATE = 33
    COUNTY = 34
    PROVINCE = 35
    COUNTRY = 36
    ROAD = 37
    HIGHWAY = 38
    RAILROAD = 39
    ORGAN = 40
    CELL = 41
    GENE = 42
    PROTEIN = 43
    MOLECULE = 44
    DISEASE = 45
    DRUG = 46
    ATLAS = 47
    MAP = 48
    REGION = 49
    COMPUTER = 50
    GRAPH = 51
    NODE = 52
    LINK = 53
    VERTEX = 54
    EDGE = 55
    DISTRICT = 56
    PASSAGE = 57
    TRACT = 58
    IDENTITY = 59
    TERRITORY = 60
    EMPLOYEE = 61
    COLLEGE = 62
    DIVISION = 63
    SCHOOL = 64
    DEPARTMENT = 65
    CAMPUS = 66
    MANAGER = 67
    COLLABORATION = 68
    COMPANY = 69
    TIMEZONE = 70
    CONTINENT = 71
    LANGUAGE = 72
    PLANET = 73
    ORGANIZATION = 74
    FOLDER = 75
    GROUP = 76
    PLACE = 77
    PERSON = 78
    FAMILY = 79
    HOUSEHOLD = 80
    COMMUNITY = 81
    BUSINESS = 82
    PROCESS = 83
    TASK = 84
    PROGRAM = 85
    MATHEMATICS = 86
    SUBSTANCE = 87
    CHEMICAL = 88
    STRUCTURE = 89
    INFRASTRUCTURE = 90
    FACILITY = 91
    FARM = 92
    NETWORK = 93
    PATH = 94
    MACHINE = 95
    DEVICE = 96
    PLATFORM = 97
    VEHICLE = 98
    CONTRACT = 99
    HYPOTHESIS = 100
    MILITARY = 101
    RESIDENCE = 102
    ACCOUNT = 103
    AGREEMENT = 104
    INVENTION = 105
    GRANT = 106
    PROPOSAL = 107
    DOCUMENT = 108
    ACTIVITY = 109
    MONEY = 110
    COST_CENTER = 111
    PROJECT = 112
    STUDY = 113
    FUND = 114
    GIFT = 115
    AWARD = 116
    TEAM = 117
    SYSTEM = 118
    SUBSYSTEM = 119
    MENTION = 120
    ENTITY = 121
    RELATION = 122
    VALUE = 123
    EVENT = 124
    GEOPOLITICS = 125
    LOCATION = 126
    WEAPON = 127
    SPONSOR = 128
    PURPOSE = 129
    SUPPLIER = 130
    CONTRACTOR = 131
    PAYMENT = 132
    SUBCONTRACT = 133
    STOCK = 134
    ITEM = 135
    STORE = 136
    FILE = 137
    ONTOLOGY = 138
    RELATIONSHIP = 139
    AFFILIATION = 140
    AIRPORT = 141
    PORT = 142
    STATION = 143
    POWER_PLANT = 144
    AIRPLANE = 145
    SHIP = 146
    TRAIN = 147
    CAR = 148
    INSTRUMENT = 149
    VICTIM = 150
    PERPETRATOR = 151
    BUILDING = 152
    BORDER = 153
    HELICOPTER = 154
    PLAZA = 155
    SHIPMENT = 156
    LAW = 157
    SUSPECT = 158
    RESULT = 159
    OUTCOME = 160
    CANDIDATE = 161
    ELECTION = 162
    BALLOT = 163
    WAREHOUSE = 164
    PALLET = 165
    VENDOR = 166
    BUYER = 167
    SELLER = 168
    TRANSACTION = 169
    ARRANGEMENT = 170
    DEAL = 171
    FILTER = 172
    CATEGORY = 173
    UNIT = 174
    PRICE = 175
    COMMODITY = 176
    CRIME = 177
    RESERVATION = 178
    PLAN = 179
    SEASON = 180
    INVENTORY = 181
    MERCHANDISE = 182
    TEMPLATE = 183
    FEATURE = 184
    INDEX = 185
    TITLE = 186
    SIDE = 187
    TUPLE = 188
    TIMER = 189
    OUTLET = 190
    FLIGHT = 191
    ROUTE = 192
    SCHEDULE = 193
    PURCHASE = 194
    TEST = 195
    PATIENT = 196
    REPORT = 197
    HOSPITAL = 198
    CLINIC = 199
    FACTORY = 200
    OBJECT = 201
    ABSTRACT = 202
    ROOM = 203
    PERIMETER = 204
    ZONE = 205
    AREA = 206
    VISIT = 207
    VISITOR = 208
    CODE = 209
    COURSE = 210
    STUDENT = 211
    FACULTY = 212
    STAFF = 213
    ADVISOR = 214
    INSTRUCTOR = 215
    ALERT = 216
    ALARM = 217
    HOST = 218
    CONCEPT = 219
    ELEMENT = 220
    INSTANCE = 221
    PROPERTY = 222
    ATTRIBUTE = 223
    ANNOTATION = 224
    DATA = 225
    NOTE = 226
    JOURNAL = 227
    ARTICLE = 228
    PUBLICATION = 229
    BOOK = 230
    PERIODICAL = 231
    CALENDAR = 232
    LOG = 233
    COLLECTION = 234
    CONTEXT = 235
    PERMISSION = 236
    EXAMPLE = 237
    MODULE = 238
    DIRECTORY = 239
    CACHE = 240
    BEHAVIOR = 241
    AGENT = 242
    SENSOR = 243
    ACTUATOR = 244
    PERCEPT = 245
    ACTION = 246
    GOAL = 247
    UTILITY = 248
    LETTER = 249
    OFFER = 250
    MESSAGE = 251
    TECHNOLOGY = 252
    BUDGET = 253
    FUNDING = 254
    COLLABORATOR = 255
    REPESENTATIVE = 256
    TREATMENT = 257
    PROGNOSIS = 258
    SECURITY = 259
    DOMAIN = 260
    SUBMISSION = 261
    INVOICE = 262
    SOLICIATION = 263
    PATTERN = 264
    CHARACTERISTIC = 265
    FORM = 266
    IMPORT = 267
    EXPORT = 268
    CART = 269
    CONTAINER = 270
    MARKET = 271
    SEGMENT = 272
    CREW = 273
    PASSENGER = 274
    DATABASE = 275
    TABLE = 276
    FOOD = 277
    COMPARTMENT = 278
    USER = 279
    SUPERVISOR = 280
    CONFIGURATION = 281
    LAYOUT = 282
    BEVERAGE = 283
    TRAVELER = 284
    CUSTOMER = 285
    MODEL = 286
    DEPLOYMENT = 287
    HOTEL = 288
    LOUNGE = 289
    RESTAURANT = 290
    LOBBY = 291
    POOL = 292
    GARAGE = 293
    KITCHEN = 294
    LAUNDRY = 295
    HOUSEKEEPING = 296
    MAINTENANCE = 297
    ENGINEERING = 298
    MARKETING = 299
    DINING = 300
    RECEPTION = 301
    SHIFT = 302
    TRACK = 303
    TREND = 304
    POLICY = 305
    CALCULATION = 306
    COMPUTATION = 307
    AUDIT = 308
    BATCH = 309
    CLOCK = 310
    PUBLISHER = 311
    SUBSCRIBER = 312
    PRODUCER = 313
    CONSUMER = 314
    SPACE = 315
    COUNTER = 316
    CHURCH = 317
    TEMPLE = 318
    MOSQUE = 319
    SYNAGOGUE = 320
    CATHEDRAL = 321
    MONASTERY = 322
    MOTEL = 323
    BANK = 324
    MALL = 325
    GROCERY = 326
    POLICE = 327
    FIRE = 328
    LIBRARY = 329
    MUSEUM = 330
    COURTHOUSE = 331
    PRISON = 332
    POST_OFFICE = 333
    OFFICE = 334
    GYMNASIUM = 335
    STADIUM = 336
    ARENA = 337
    AUDITORIUM = 338
    BLOODBANK = 339
    PHARMACY = 340
    MORTUARY = 341
    CEMETERY = 342
    CIVIC_CENTER = 343
    COMMUNITY_CENTER = 344
    CONFERENCE_CENTER = 345
    FITNESS_CENTER = 346
    DISTRIBUTION_CENTER = 347
    RECREATION_CENTER = 348
    STORAGE_FACILITY = 349
    MANUFACTURING_PLANT = 350
    NUCLEAR_PLANT = 351
    WATER_PLANT = 352
    SEWAGE_PLANT = 353
    FILLING_STATION = 354
    CHARGING_STATION = 355
    UNIVERSITY = 356
    PRESCHOOL = 357
    ELEMENTARY_SCHOOL = 358
    MIDDLE_SCHOOL = 359
    HIGH_SCHOOL = 360
    TECHNICAL_SCHOOL = 361
    HOUSE = 362
    TOWNHOUSE = 363
    APARTMENT = 364
    CONDOMINIMUM = 365
    HOSTEL = 366
    RESORT = 367
    TRAIN_STATION = 368
    BUS_STATION = 369
    FERRY_TERMINAL = 370
    TAXI_STAND = 371
    BUS_STAND = 372
    BICYCLE_STAND = 373
    TOWER = 374
    WIFI = 375
    TRANSMITTER = 376
    DEFIBRILLATOR = 377
    TELLER_MACHINE = 378
    VENDING_MACHINE = 379
    STREETLIGHT = 380
    CAMERA = 381
    HYDRANT = 382
    DIRECTOR = 383
    COMPOSER = 384
    PERFORMER = 385
    STAGE = 386
    SCREEN = 387
    MENU = 388
    SUBJECT = 389
    PREDICATE = 390
    NOUN = 391
    VERB = 392
    ADJECTIVE = 393
    ADVERB = 394
    INCIDENT = 395
    SITUATION = 396
    STORY = 397
    INFLUENCE = 398
    PHRASE = 399
    SIGNAL = 400
    INFORMATION = 401
    KNOWLEDGE = 402
    COMPONENT = 403
    INJURY = 404
    TYPE = 405
    SUBTYPE = 406
    DATA_TYPE = 407
    INFORMATION_TYPE = 408
    KNOWLEDGE_TYPE = 409
    DATA_STRUCTURE = 410
    INFORMATION_STRUCTURE = 411
    KNOWLEDGE_STRUCTURE = 412
    CONTENT = 413
    EXTRACT = 414
    PIECE = 415
    IMAGE = 416
    KEYWORD = 417
    SUMMARY = 418
    SENTIMENT = 419
    CLUSTER = 420
    SOURCE = 421
    IDENTIFIER = 422
    DATE = 423
    URL = 424
    RANK = 425
    DISTANCE = 426
    TUNNEL = 427
    BORE = 428
    PORTA = 429
    WINDOW = 430
    DOOR = 431
    BUILD = 432
    FACT = 433
    FACET = 434
    FACTOR = 435
    FRAME = 436
    FIELD = 437
    TRAIT = 438
    PART = 439
    CREDENTIAL = 440
    AUDIO = 441
    VIDEO = 442
    ENTERPRISE = 443
    CONSTELLATION = 444
    APPLIANCE = 445
    BACKUP = 446


AvCategory = AxCategory


class AxClass(IntEnum):
    NULL = 0
    AVESTERRA = 1
    SERVER = 2
    ANALYTIC = 3
    ADAPTER = 4
    REGISTRY = 5
    WORKSPACE = 6
    LIST = 7
    SET = 8
    VIEW = 9
    APPLICATION = 10
    SAPIEN = 11
    GENETIC = 12
    SOCIOCULTURAL = 13
    LINGUISTIC = 14
    ETHNOGRAPHIC = 15
    FUNCTION = 16
    VARIABLE = 17
    BRAIN = 18
    NEURON = 19
    SYNAPSE = 20
    LAPTOP = 21
    DESKTOP = 22
    MOBILE = 23
    TELEPHONE = 24
    CELLPHONE = 25
    SMARTPHONE = 26
    MAINFRAME = 27
    TABLET = 28
    MARRIAGE = 29
    CITY = 30
    TOWN = 31
    VILLAGE = 32
    STATE = 33
    COUNTY = 34
    PROVINCE = 35
    COUNTRY = 36
    ROAD = 37
    HIGHWAY = 38
    RAILROAD = 39
    ORGAN = 40
    CELL = 41
    GENE = 42
    PROTEIN = 43
    MOLECULE = 44
    DISEASE = 45
    DRUG = 46
    ATLAS = 47
    MAP = 48
    REGION = 49
    COMPUTER = 50
    GRAPH = 51
    NODE = 52
    LINK = 53
    VERTEX = 54
    EDGE = 55
    DISTRICT = 56
    PASSAGE = 57
    TRACT = 58
    IDENTITY = 59
    TERRITORY = 60
    EMPLOYEE = 61
    COLLEGE = 62
    DIVISION = 63
    SCHOOL = 64
    DEPARTMENT = 65
    CAMPUS = 66
    MANAGER = 67
    COLLABORATION = 68
    COMPANY = 69
    TIMEZONE = 70
    CONTINENT = 71
    LANGUAGE = 72
    PLANET = 73
    ORGANIZATION = 74
    FOLDER = 75
    GROUP = 76
    PLACE = 77
    PERSON = 78
    FAMILY = 79
    HOUSEHOLD = 80
    COMMUNITY = 81
    BUSINESS = 82
    PROCESS = 83
    TASK = 84
    PROGRAM = 85
    MATHEMATICS = 86
    SUBSTANCE = 87
    CHEMICAL = 88
    STRUCTURE = 89
    INFRASTRUCTURE = 90
    FACILITY = 91
    FARM = 92
    NETWORK = 93
    PATH = 94
    MACHINE = 95
    DEVICE = 96
    PLATFORM = 97
    VEHICLE = 98
    CONTRACT = 99
    HYPOTHESIS = 100
    MILITARY = 101
    RESIDENCE = 102
    ACCOUNT = 103
    AGREEMENT = 104
    INVENTION = 105
    GRANT = 106
    PROPOSAL = 107
    DOCUMENT = 108
    ACTIVITY = 109
    MONEY = 110
    COST_CENTER = 111
    PROJECT = 112
    STUDY = 113
    FUND = 114
    GIFT = 115
    AWARD = 116
    TEAM = 117
    SYSTEM = 118
    SUBSYSTEM = 119
    MENTION = 120
    ENTITY = 121
    RELATION = 122
    VALUE = 123
    EVENT = 124
    GEOPOLITICS = 125
    LOCATION = 126
    WEAPON = 127
    SPONSOR = 128
    PURPOSE = 129
    SUPPLIER = 130
    CONTRACTOR = 131
    PAYMENT = 132
    SUBCONTRACT = 133
    STOCK = 134
    ITEM = 135
    STORE = 136
    FILE = 137
    ONTOLOGY = 138
    RELATIONSHIP = 139
    AFFILIATION = 140
    AIRPORT = 141
    PORT = 142
    STATION = 143
    POWER_PLANT = 144
    AIRPLANE = 145
    SHIP = 146
    TRAIN = 147
    CAR = 148
    INSTRUMENT = 149
    VICTIM = 150
    PERPETRATOR = 151
    BUILDING = 152
    BORDER = 153
    HELICOPTER = 154
    PLAZA = 155
    SHIPMENT = 156
    LAW = 157
    SUSPECT = 158
    RESULT = 159
    OUTCOME = 160
    CANDIDATE = 161
    ELECTION = 162
    BALLOT = 163
    WAREHOUSE = 164
    PALLET = 165
    VENDOR = 166
    BUYER = 167
    SELLER = 168
    TRANSACTION = 169
    ARRANGEMENT = 170
    DEAL = 171
    FILTER = 172
    CATEGORY = 173
    UNIT = 174
    PRICE = 175
    COMMODITY = 176
    CRIME = 177
    RESERVATION = 178
    PLAN = 179
    SEASON = 180
    INVENTORY = 181
    MERCHANDISE = 182
    TEMPLATE = 183
    FEATURE = 184
    INDEX = 185
    TITLE = 186
    SIDE = 187
    TUPLE = 188
    TIMER = 189
    OUTLET = 190
    FLIGHT = 191
    ROUTE = 192
    SCHEDULE = 193
    PURCHASE = 194
    TEST = 195
    PATIENT = 196
    REPORT = 197
    HOSPITAL = 198
    CLINIC = 199
    FACTORY = 200
    OBJECT = 201
    ABSTRACT = 202
    ROOM = 203
    PERIMETER = 204
    ZONE = 205
    AREA = 206
    VISIT = 207
    VISITOR = 208
    CODE = 209
    COURSE = 210
    STUDENT = 211
    FACULTY = 212
    STAFF = 213
    ADVISOR = 214
    INSTRUCTOR = 215
    ALERT = 216
    ALARM = 217
    HOST = 218
    CONCEPT = 219
    ELEMENT = 220
    INSTANCE = 221
    PROPERTY = 222
    ATTRIBUTE = 223
    ANNOTATION = 224
    DATA = 225
    NOTE = 226
    JOURNAL = 227
    ARTICLE = 228
    PUBLICATION = 229
    BOOK = 230
    PERIODICAL = 231
    CALENDAR = 232
    LOG = 233
    COLLECTION = 234
    CONTEXT = 235
    PERMISSION = 236
    EXAMPLE = 237
    MODULE = 238
    DIRECTORY = 239
    CACHE = 240
    BEHAVIOR = 241
    AGENT = 242
    SENSOR = 243
    ACTUATOR = 244
    PERCEPT = 245
    ACTION = 246
    GOAL = 247
    UTILITY = 248
    LETTER = 249
    OFFER = 250
    MESSAGE = 251
    TECHNOLOGY = 252
    BUDGET = 253
    FUNDING = 254
    COLLABORATOR = 255
    REPESENTATIVE = 256
    TREATMENT = 257
    PROGNOSIS = 258
    SECURITY = 259
    DOMAIN = 260
    SUBMISSION = 261
    INVOICE = 262
    SOLICIATION = 263
    PATTERN = 264
    CHARACTERISTIC = 265
    FORM = 266
    IMPORT = 267
    EXPORT = 268
    CART = 269
    CONTAINER = 270
    MARKET = 271
    SEGMENT = 272
    CREW = 273
    PASSENGER = 274
    DATABASE = 275
    TABLE = 276
    FOOD = 277
    COMPARTMENT = 278
    USER = 279
    SUPERVISOR = 280
    CONFIGURATION = 281
    LAYOUT = 282
    BEVERAGE = 283
    TRAVELER = 284
    CUSTOMER = 285
    MODEL = 286
    DEPLOYMENT = 287
    HOTEL = 288
    LOUNGE = 289
    RESTAURANT = 290
    LOBBY = 291
    POOL = 292
    GARAGE = 293
    KITCHEN = 294
    LAUNDRY = 295
    HOUSEKEEPING = 296
    MAINTENANCE = 297
    ENGINEERING = 298
    MARKETING = 299
    DINING = 300
    RECEPTION = 301
    SHIFT = 302
    TRACK = 303
    TREND = 304
    POLICY = 305
    CALCULATION = 306
    COMPUTATION = 307
    AUDIT = 308
    BATCH = 309
    CLOCK = 310
    PUBLISHER = 311
    SUBSCRIBER = 312
    PRODUCER = 313
    CONSUMER = 314
    SPACE = 315
    COUNTER = 316
    CHURCH = 317
    TEMPLE = 318
    MOSQUE = 319
    SYNAGOGUE = 320
    CATHEDRAL = 321
    MONASTERY = 322
    MOTEL = 323
    BANK = 324
    MALL = 325
    GROCERY = 326
    POLICE = 327
    FIRE = 328
    LIBRARY = 329
    MUSEUM = 330
    COURTHOUSE = 331
    PRISON = 332
    POST_OFFICE = 333
    OFFICE = 334
    GYMNASIUM = 335
    STADIUM = 336
    ARENA = 337
    AUDITORIUM = 338
    BLOODBANK = 339
    PHARMACY = 340
    MORTUARY = 341
    CEMETERY = 342
    CIVIC_CENTER = 343
    COMMUNITY_CENTER = 344
    CONFERENCE_CENTER = 345
    FITNESS_CENTER = 346
    DISTRIBUTION_CENTER = 347
    RECREATION_CENTER = 348
    STORAGE_FACILITY = 349
    MANUFACTURING_PLANT = 350
    NUCLEAR_PLANT = 351
    WATER_PLANT = 352
    SEWAGE_PLANT = 353
    FILLING_STATION = 354
    CHARGING_STATION = 355
    UNIVERSITY = 356
    PRESCHOOL = 357
    ELEMENTARY_SCHOOL = 358
    MIDDLE_SCHOOL = 359
    HIGH_SCHOOL = 360
    TECHNICAL_SCHOOL = 361
    HOUSE = 362
    TOWNHOUSE = 363
    APARTMENT = 364
    CONDOMINIMUM = 365
    HOSTEL = 366
    RESORT = 367
    TRAIN_STATION = 368
    BUS_STATION = 369
    FERRY_TERMINAL = 370
    TAXI_STAND = 371
    BUS_STAND = 372
    BICYCLE_STAND = 373
    TOWER = 374
    WIFI = 375
    TRANSMITTER = 376
    DEFIBRILLATOR = 377
    TELLER_MACHINE = 378
    VENDING_MACHINE = 379
    STREETLIGHT = 380
    CAMERA = 381
    HYDRANT = 382
    DIRECTOR = 383
    COMPOSER = 384
    PERFORMER = 385
    STAGE = 386
    SCREEN = 387
    MENU = 388
    SUBJECT = 389
    PREDICATE = 390
    NOUN = 391
    VERB = 392
    ADJECTIVE = 393
    ADVERB = 394
    INCIDENT = 395
    SITUATION = 396
    STORY = 397
    INFLUENCE = 398
    PHRASE = 399
    SIGNAL = 400
    INFORMATION = 401
    KNOWLEDGE = 402
    COMPONENT = 403
    INJURY = 404
    TYPE = 405
    SUBTYPE = 406
    DATA_TYPE = 407
    INFORMATION_TYPE = 408
    KNOWLEDGE_TYPE = 409
    DATA_STRUCTURE = 410
    INFORMATION_STRUCTURE = 411
    KNOWLEDGE_STRUCTURE = 412
    CONTENT = 413
    EXTRACT = 414
    PIECE = 415
    IMAGE = 416
    KEYWORD = 417
    SUMMARY = 418
    SENTIMENT = 419
    CLUSTER = 420
    SOURCE = 421
    IDENTIFIER = 422
    DATE = 423
    URL = 424
    RANK = 425
    DISTANCE = 426
    TUNNEL = 427
    BORE = 428
    PORTAL = 429
    WINDOW = 430
    DOOR = 431
    BUILD = 432
    FACT = 433
    FACET = 434
    FACTOR = 435
    FRAME = 436
    FIELD = 437
    TRAIT = 438
    PART = 439
    CREDENTIAL = 440
    AUDIO = 441
    VIDEO = 442
    ENTERPRISE = 443
    CONSTELLATION = 444
    APPLIANCE = 445
    BACKUP = 446


AvClass = AxClass


class AxCondition(IntEnum):
    NULL = 0
    AVESTERRA = 1
    READY = 2
    ONLINE = 3
    ARMED = 4
    ENABLED = 5
    TRIGGERED = 6
    LOCKED = 7
    LOADED = 8
    LINKED = 9
    WAITING = 10
    PENDING = 11
    HOLDING = 12


class AxConstant(IntEnum):
    NULL = 0
    AVESTERRA = 1
    PI = 2
    EULERS_NUMBER = 3
    GOLDEN_RATIO = 4
    IMAGINARY_UNIT = 5
    SPEED_OF_LIGHT = 6
    PLANCK = 7
    GRAVITY_OF_EARTH = 8
    GRAVITATIONAL = 9
    ASTRONOMICAL_UNIT = 10
    MOLE = 11
    ELEMENTA = 12
    ELECTRON_MASS = 13
    PROTON_MASS = 14
    NEUTRON_MASS = 15
    ELECTRIC_PERMITTIVITY = 16
    MAGNETIC_PERMEABILITY = 17


AvConstant = AxConstant


class AxContext(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ATRA = 2
    X = 3
    Y = 4
    Z = 5
    ORCHESTRA = 6
    SIRIUS = 7


AvContext = AxContext


class AxError(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ENTITY = 2
    OUTLET = 3
    TIMEOUT = 4
    AUTHORIZATION = 5
    ADAPTER = 6
    SUBSCRIBER = 7
    COMMUNICATION = 8
    NETWORK = 9
    APPLICATION = 10
    MEMORY = 11
    STACK = 12
    EVENT = 13
    TUPLE = 14
    THREAD = 15
    EVALUTION = 16
    RANGE = 17
    HALT = 18
    EXECUTION = 19
    OVERFLOW = 20
    THROW = 21
    BREAK = 22
    NEXT = 23
    RETURN = 24


AvError = AxError


class AxEvent(IntEnum):
    NULL = 0
    AVESTERRA = 1
    UPDATE = 2
    MESSAGE = 3
    ERROR = 4
    REFRESH = 5
    TIMER = 6
    EXECUTE = 7
    CREATE = 8
    DELETE = 9
    ALERT = 10
    IMPORT = 11
    EXPORT = 12
    RESET = 13


AvEvent = AxEvent


class AxFormat(IntEnum):
    NULL = 0
    AVESTERRA = 1
    BOOLEAN = 2
    STRING = 3
    NATURAL = 4
    INTEGER = 5
    FLOAT = 6
    TIME = 7
    DATE = 8
    TIMESTAMP = 9
    MM_DD_YYYY = 10
    DD_MM_YYYY = 11
    YYYY_MM_DD = 12
    SSN = 13
    SEX = 14
    GENDER = 15


AvFormat = AxFormat


class AxGoal(IntEnum):
    NULL = 0
    AVESTERRA = 1


class AxInstallation(IntEnum):
    NULL = 0
    AVESTERRA = 1
    AVU = 2
    CERTIFICATE = 3
    DOCUMENTATION = 4
    SCRIPT = 5
    LINUX = 6
    MAC = 7
    WINDOWS = 8
    ADA = 9
    C = 10
    JAVA = 11
    PYTHON = 12
    RUST = 13
    SCALA = 14
    SWIFT = 15
    TUPLEO = 16
    TYPESCRIPT = 17
    HELP = 18
    KOTLIN = 19


class AxLanguage(IntEnum):
    NULL = 0
    ADA = 1
    C = 2
    JAVA = 3
    PYTHON = 4
    RUST = 5
    SCALA = 6
    SWIFT = 7
    TUPLEO = 8
    TYPESCRIPT = 9
    KOTLIN = 10


class AxMatch(IntEnum):
    NULL = 0
    IDENTIFIER = 1
    FIRST = 2
    LAST = 3
    SEX = 4
    RACE = 5
    DOB = 6
    SSN = 7
    SOUNDEX_FIRST = 8
    SOUNDEX_LAST = 9
    OTHER_FIRST = 10
    OTHER_LAST = 11
    PARTIAL_FIRST = 12
    PARTIAL_LAST = 13
    PARTIAL_NAME = 14
    PARTIAL_SSN = 15
    PARTIAL_DOB = 16
    OTHER_NAME = 17
    GEO = 18


class AxMethod(IntEnum):
    NULL = 0
    AVESTERRA = 1
    CREATE = 2
    DELETE = 3
    GET = 4
    SET = 5
    CLEAR = 6
    PURGE = 7
    INSERT = 8
    REMOVE = 9
    REPLACE = 10
    MEMBER = 11
    START = 12
    STOP = 13
    INCLUDE = 14
    EXCLUDE = 15
    RESET = 16
    COUNT = 17
    LENGTH = 18
    ATTRIBUTE = 19
    NAME = 20
    KEY = 21
    VALUE = 22
    FIND = 23
    SEARCH = 24
    LOAD = 25
    SAVE = 26
    AUTHORIZE = 27
    DEAUTHORIZE = 28
    ABOUT = 29
    READ = 30
    WRITE = 31
    STORE = 32
    RETRIEVE = 33
    ECHO = 34
    REFRESH = 35
    SORT = 36
    INDEX = 37
    TEST = 38
    EXECUTE = 39


AvMethod = AxMethod


class AxMode(IntEnum):
    NULL = 0
    AVESTERRA = 1
    UPDATE = 2
    APPEND = 3
    REPLACE = 4
    INTERCHANGE = 5
    PUSH = 6
    PULL = 7
    PERSISTENT = 8
    VOLATILE = 9


AvMode = AxMode


class AxNotice(IntEnum):
    NULL = 0
    AVESTERRA = 1
    SUCCESS = 2
    INFORM = 3
    WARNING = 4
    ERROR = 5
    FATAL = 6
    DEBUG = 7
    TEST = 8


AvNotice = AxNotice


class AxOperator(IntEnum):
    NULL = 0
    AVESTERRA = 1
    NIL = 2
    ATOMIC = 3
    HOST = 4
    NETWORK = 5
    UNIQUE = 6
    CAST = 7
    VALID = 8
    EXTINCT = 9
    NEW = 10
    CREATE = 11
    DELETE = 12
    INSERT = 13
    REMOVE = 14
    REPLACE = 15
    ERASE = 16
    LENGTH = 17
    ELEMENT = 18
    FIRST = 19
    LAST = 20
    FIND = 21
    INCLUDE = 22
    EXCLUDE = 23
    COPY = 24
    AND = 25
    OR = 26
    XOR = 27
    NAND = 28
    NOR = 29
    NXOR = 30
    NOT = 31
    SIMILAR = 32
    DISSIMILAR = 33
    SHIFT = 34
    ROTATE = 35
    BIT = 36
    ADD = 37
    SUBTRACT = 38
    MULTIPLY = 39
    DIVIDE = 40
    MODULO = 41
    REMAINDER = 42
    ABSOLUTE = 43
    EXPONENT = 44
    INCREMENT = 45
    DECREMENT = 46
    EQUAL = 47
    UNEQUAL = 48
    DECREASING = 49
    INCREASING = 50
    GREATER = 51
    LESS = 52
    MINIMUM = 53
    MAXIMUM = 54
    RANDOM = 55
    FLOOR = 56
    CEILING = 57
    IF = 58
    CASE = 59
    UNLESS = 60
    LOOP = 61
    FORWARD = 62
    BACKWARD = 63
    REPEAT = 64
    WHILE = 65
    BREAK = 66
    NEXT = 67
    UNTIL = 68
    BLOCK = 69
    THREAD = 70
    HALT = 71
    BUSY = 72
    GUARD = 73
    ERROR = 74
    MESSAGE = 75
    TAG = 76
    BOOLEAN = 77
    CHARACTER = 78
    EXCEPTION = 79
    INTEGER = 80
    REAL = 81
    OPERATOR = 82
    STRING = 83
    TEXT = 84
    CLOCK = 85
    TUPLE = 86
    FUNCTION = 87
    ALTER = 88
    ARGUMENT = 89
    ARGUMENTS = 90
    DEPTH = 91
    CLOSURE = 92
    CONJURE = 93
    SELF = 94
    RETURN = 95
    EVALUATE = 96
    PURE = 97
    APPLY = 98
    CALL = 99
    DECLARE = 100
    LET = 101
    LOCAL = 102
    LOCALS = 103
    LEVELS = 104
    CHANGE = 105
    GLOBAL = 106
    GLOBALS = 107
    SCOPE = 108
    TOP = 109
    SUBSCRIBE = 110
    UNSUBSCRIBE = 111
    WAIT = 112
    PUBLISH = 113
    PENDING = 114
    TIMER = 115
    START = 116
    STOP = 117
    ACTIVE = 118
    ELAPSED = 119
    REMAINING = 120
    RESET = 121
    LOCK = 122
    UNLOCK = 123
    LOCKED = 124
    SQRT = 125
    EXP = 126
    LOG = 127
    SIN = 128
    COS = 129
    TAN = 130
    ASIN = 131
    ACOS = 132
    ATAN = 133
    SINH = 134
    COSH = 135
    TANH = 136
    THIS = 137
    DELAY = 138
    INVOKE = 139
    INQUIRE = 140
    ADAPT = 141
    CONNECT = 142
    DISCONNECT = 143
    ATTACH = 144
    DETACH = 145
    ACTIVATE = 146
    DEACTIVATE = 147
    FLUSH = 148
    SYNC = 149
    BLOCKING = 150
    WAITING = 151
    ACTIVATED = 152
    ACCESS = 153
    RENDEZVOUS = 154
    FETCH = 155
    ADAPTING = 156
    INVOKING = 157
    CONNECTION = 158
    CONNECTIONS = 159
    CONNECTED = 160
    ATTACHMENT = 161
    ATTACHMENTS = 162
    ATTACHED = 163
    SUBSCRIPTION = 164
    SUBSCRIPTIONS = 165
    SUBSCRIBED = 166
    REFERENCE = 167
    DEREFERENCE = 168
    REFERENCES = 169
    ARM = 170
    DISARM = 171
    ARMED = 172
    AUTHORIZE = 173
    DEAUTHORIZE = 174
    AUTHORITY = 175
    AUTHORIZATION = 176
    AUTHORIZATIONS = 177
    AUTHORIZED = 178
    SET = 179
    CLEAR = 180
    TEST = 181
    CONDITION = 182
    CONDITIONS = 183
    ENTITY = 184
    OUTLET = 185
    AUXILIARY = 186
    ANCILLARY = 187
    PARAMETER = 188
    RESULTANT = 189
    INSTANCE = 190
    OFFSET = 191
    INDEX = 192
    COUNT = 193
    NAME = 194
    KEY = 195
    VALUE = 196
    CONTEXT = 197
    CATEGORY = 198
    CLASS = 199
    METHOD = 200
    ATTRIBUTE = 201
    EVENT = 202
    MODE = 203
    STATE = 204
    PRECEDENCE = 205
    ASPECT = 206
    TIME = 207
    TIMEOUT = 208
    PROPERTY = 209
    ANNOTATION = 210
    FACT = 211
    FACET = 212
    FACTOR = 213
    FEATURE = 214
    FIELD = 215
    FRAME = 216
    MEASUREMENT = 217
    UNIT = 218
    PREFIX = 219
    CONFIDENCE = 220
    UNCERTAINTY = 221
    SERVER = 222
    GATEWAY = 223
    VERSION = 224
    HOSTNAME = 225
    INTERNET = 226
    STATUS = 227
    REDIRECT = 228
    REDIRECTION = 229
    DEBUG = 230


AvOperator = AxOperator


class AxPercept(IntEnum):
    NULL = 0
    AVESTERRA = 1


class AxPermission(IntEnum):
    NULL = 0
    AVESTERRA = 1
    READ = 2
    WRITE = 3
    EXECUTE = 4
    DELETE = 5


AvPermission = AxPermission


class AxPrecedence(IntEnum):
    NULL = 0
    AVESTERRA = 1


class AxPlatform(IntEnum):
    NULL = 0
    LINUX = 1
    MAC = 2
    WINDOWS = 3


class AxPrefix(IntEnum):
    NULL = 0
    AVESTERRA = 1
    YOTTA = 2
    ZETTA = 3
    EXA = 4
    PETA = 5
    TERA = 6
    GIGA = 7
    MEGA = 8
    MYRIA = 9
    KILO = 10
    HECTO = 11
    DECA = 12
    DECI = 13
    CENTI = 14
    MILLI = 15
    MICRO = 16
    NANO = 17
    PICO = 18
    FEMPTO = 19
    ATTO = 20
    ZOPTO = 21
    YOCTO = 22
    EXBI = 23
    PEBI = 24
    TEBI = 25
    GIBI = 26
    MEBI = 27
    KIBI = 28


AvPrefix = AxPrefix


class AxScheme(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ATTRIBUTE = 2
    PROPERTY = 3
    INSTANCE = 4


class AxState(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ADVISORY = 2
    SATISFACTORY = 3
    CAUTION = 4
    WARNING = 5
    DANGER = 6
    EXTREME = 7
    OFFLINE = 8


AvState = AxState


class AxTag(IntEnum):
    NULL = 0
    AVESTERRA = 1
    BOOLEAN = 2
    CHARACTER = 3
    STRING = 4
    TEXT = 5
    INTEGER = 6
    FLOAT = 7
    ENTITY = 8
    TIME = 9
    WEB = 10
    INTERCHANGE = 11
    DATA = 12
    EXCEPTION = 13
    OPERATOR = 14
    FUNCTION = 15
    MEASUREMENT = 16
    LOCUTOR = 17
    AUTHORIZATION = 18
    DURATION = 19
    VARIABLE = 20
    AGGREGATE = 21
    ARRAY = 22


AvTag = AxTag


class AxTaxon(IntEnum):
    NULL = 0
    AVESTERRA = 1
    ACTION = 2
    ADAPTER = 3
    ASPECT = 4
    ATTRIBUTE = 5
    CATEGORY = 6
    CLASS = 7
    CONDITION = 8
    CONSTANT = 9
    CONTEXT = 10
    ERROR = 11
    EVENT = 12
    FORMAT = 13
    GOAL = 14
    INSTALLATION = 15
    LANGUAGE = 16
    MATCH = 17
    METHOD = 18
    MODE = 19
    NOTICE = 20
    OPERATOR = 21
    PATTERN = 22
    PERCEPT = 23
    PERMISSION = 24
    PLATFORM = 25
    PRECEDENCE = 26
    PREFIX = 27
    SCHEME = 28
    STATE = 29
    TAG = 30
    TAXON = 31
    TEMPLATE = 32
    UNIT = 33


class AxTemplate(IntEnum):
    NULL = 0
    AVESTERRA = 1
    MODEL = 2
    RELATIONSHIP = 3
    IMPORT = 4
    EXPORT = 5
    CONFIGURATION = 6
    ENRICHMENT = 7
    GENERIC = 8


class AxUnit(IntEnum):
    NULL = 0
    AVESTERRA = 1
    RADIAN = 2
    DEGREE = 3
    CIRCLE = 4
    TURN = 5
    REVOLUTION = 6
    GRADE = 7
    ARCDEGREE = 8
    ARCMINUTE = 9
    CCS = 10
    ARSECOND = 11
    STERADIAN = 12
    SPHERE = 13
    SECOND = 14
    MINUTE = 15
    HOUR = 16
    DAY = 17
    WEEK = 18
    YEAR = 19
    MONTH = 20
    KILOGRAM = 21
    GRAM = 22
    METRICTON = 23
    POUND = 24
    POUND_FORCE = 25
    OUNCE = 26
    DRAM = 27
    GRAIN = 28
    TON = 29
    LONGTON = 30
    SCRUPLE = 31
    APDRAM = 32
    TROY_OUNCE = 33
    TROY_POUND = 34
    PENNYWEIGHT = 35
    METER = 36
    MICRON = 37
    ANGSTROM = 38
    BOHR_RADIOUS = 39
    INCH = 40
    FOOT = 41
    YARD = 42
    ROD = 43
    MILE = 44
    STATUE_MILE = 45
    NAUTICAL_MILE = 46
    ACRE = 47
    CUBIC_CENTIMETER = 48
    LITER = 49
    MILLILITER = 50
    GALLON = 51
    IMPERIAL = 52
    QUART = 53
    PINT = 54
    FLUID_OUNCE = 55
    FLUID_DRAM = 56
    SHOT = 57
    DRY = 58
    PECK = 59
    BUSHEL = 60
    CHALDRON = 61
    BRITISH_GALLON = 62
    BRITISH_QUART = 63
    BRITISH_PINT = 64
    BRITISH_FLUID_OUNCE = 65
    BRITISH_PECK = 66
    BRITISH_HUNDRED_WEIGHT = 67
    BOTTLE = 68
    MINIATURE = 69
    SPLIT = 70
    HALF = 71
    MAGNUM = 72
    JEROBOAM = 73
    REHOBOAM = 74
    METHUSELAH = 75
    SALMANAZAR = 76
    BALTHAZAR = 77
    NEBUCHADNEZZAR = 78
    SOVEREIGN = 79
    PONY = 80
    FILLETTE = 81
    TAPPIT_HEN = 82
    RHEOBOAM = 83
    SHALMANESER = 84
    BERKOVETS = 85
    POOD = 86
    FUNT = 87
    LOT = 88
    ZOLOTNIK = 89
    DOLYA = 90
    RUMILE = 91
    MEZHEVAYAVERST = 92
    VERST = 93
    SAZHEN = 94
    KOSAYASAZHEN = 95
    ARSHIN = 96
    RUELL = 97
    LINIYA = 98
    VERSHOK = 99
    PYAD = 100
    VEDRO = 101
    SHTOFF = 102
    VINEBOTTLE = 103
    VODKABOTTLE = 104
    CHARKA = 105
    SHKALIK = 106
    DESYATINA_STATE = 107
    DESYATINA_FARMERY = 108
    SQVERST = 109
    SQARSHIN_UNIT = 110
    SQFOOT = 111
    NEWTON = 112
    JOULE = 113
    CALORIE = 114
    NEWTON_METER = 115
    NEWTON_CENTIMETER = 116
    POUND_FOOT = 117
    POUND_INCH = 118
    KELVIN = 119
    CELCIUS = 120
    FARENHEIT = 121
    RANKINE = 122
    REAUMUR = 123
    COULOMB = 124
    AMPERE = 125
    WATT = 126
    VOLT = 127
    OHM = 128
    MHO = 129
    FARAD = 130
    HENRY = 131
    WEBER = 132
    CANDELA = 133
    LUMEN = 134
    LUX = 135
    EURO = 136
    AUSTRIASCHILLING = 137
    BELGIUMFRANC = 138
    FINLANDMARKKA = 139
    FRANCEFRANC = 140
    GERMANYMARK = 141
    GREECEDRACHMA = 142
    IRELANDPUNT = 143
    ITALYLIRA = 144
    LUXEMBOURGFRANC = 145
    NETHERLANDSGUILDER = 146
    PORTUGALESCUDO = 147
    SPAINPESETA = 148
    SLOVENIANTOLAR = 149
    CYPRIOTPOUND = 150
    MALTESELIRA = 151
    SLOVAKKORUNA = 152
    BOSNIAHERZEGOVINAMARK = 153
    BULGARIANLEV = 154
    CAPEVERDEANESCUDO = 155
    CENTRALAFRICANCFAFRANC = 156
    COMOROSFRANC = 157
    DANISHKRONE = 158
    ESTONIAKROON = 159
    LITHUANIANLITAS = 160
    PACIFICFRANCEXCHANGE = 161
    WESTAFRICANCFAFRANC = 162
    US_DOLLAR = 163
    DOLLAR = 164
    ARUBANFLORIN = 165
    BAHAMIANDOLLAR = 166
    BAHRAINIDINAR = 167
    BARBADIANDOLLAR = 168
    BELIZEDOLLAR = 169
    BELARUSIANRUBLE = 170
    BERMUDIANDOLLAR = 171
    CAYMANISLANDSDOLLAR = 172
    CUBANCONVERTIBLEPESO = 173
    DJIBOUTIANFRANC = 174
    EASTCARIBBEANDOLLAR = 175
    ERITREANNAKFA = 176
    HONGKONGDOLLAR = 177
    MACANESEPATACAS = 178
    JORDANIANDINAR = 179
    LEBANESEPOUND = 180
    MALDIVIANRUFIYAA = 181
    NETHERLANDSANTILLEANGUILDER = 182
    OMANIRIAL = 183
    QATARIRIYAL = 184
    SAUDIRIYAL = 185
    UNITEDARABEMIRATESDIRHAM = 186
    BOSNIAMARK = 187
    CFAFRANC = 188
    CFPFRANC = 189
    DRACHMA = 190
    ESCUDO = 191
    FRANC = 192
    GUILDER = 193
    HERZEGOVINAMARK = 194
    HOLLANDGUILDER = 195
    LIRA = 196
    MARK = 197
    MARKKA = 198
    PESETA = 199
    RAND = 200
    ERLANG = 201
    BIT = 202
    BAUD = 203
    NIBBLE = 204
    NYBBLE = 205
    BYTE = 206
    WORD = 207
    BLOCK = 208
    KBYTE = 209
    MEGABYTE = 210
    GIGABYTE = 211
    TERABYTE = 212
    PETABYTE = 213
    EXABYTE = 214
    ZETTABYTE = 215
    YOTTABYTE = 216
    KILOBYTE = 217
    PERCENT = 218
    ABAMPERE = 219
    ADMIRALTYKNOT = 220
    APOSTILB = 221
    ARE = 222
    ASB = 223
    ARPENTCAN = 224
    ARPENTLIN = 225
    ATMOSPHERE = 226
    ATOMIC_MASS_UNIT = 227
    SECONDS_IN_A_YEAR = 228
    AMU = 229
    BAG = 230
    BAKERSDOZEN = 231
    BAR = 232
    BARIE = 233
    BARLEYCORN = 234
    BARN = 235
    OILBARREL = 236
    BARREL = 237
    BARYE = 238
    BARYL = 239
    BEV = 240
    BIOT = 241
    BLONDEL = 242
    BOARDFOOT = 243
    BOLT = 244
    BOTTOMMEASURE = 245
    BRITISHTHERMALUNIT = 246
    BTU = 247
    REFRIGERATION = 248
    BUCK = 249
    CABLE = 250
    CALIBER = 251
    CARAT = 252
    CARATGOLD = 253
    CENT = 254
    CENTAL = 255
    CENTESIMALMINUTE = 256
    CENTESIMALSECOND = 257
    CENTURY = 258
    CFS = 259
    CHAIN = 260
    CIRCULARINCH = 261
    CIRCULARMIL = 262
    CLUSEC = 263
    COOMB = 264
    CORD = 265
    CORDFOOT = 266
    CRITH = 267
    CUBIT = 268
    CUP = 269
    CURIE = 270
    DALTON = 271
    DECADE = 272
    DIOPTRE = 273
    DISPLACEMENTTON = 274
    DOPPELZENTNER = 275
    DOZEN = 276
    DROP = 277
    DYNE = 278
    ELECTRONVOLT = 279
    ELL = 280
    ENGINEERSCHAIN = 281
    ENGINEERSLINK = 282
    EQUIVALENTFOOTCANDLE = 283
    EQUIVALENTLUX = 284
    EQUIVALENTPHOT = 285
    ERG = 286
    ELECTRON_VOLT = 287
    FARADAY = 288
    FATHOM = 289
    FERMI = 290
    FIFTH = 291
    FIN = 292
    FINGER = 293
    FIRKIN = 294
    FOOTCANDLE = 295
    FOOTLAMBERT = 296
    FORTNIGHT = 297
    FRANKLIN = 298
    FRIGORIE = 299
    FURLONG = 300
    GALILEO = 301
    GAMMA = 302
    GAUSS = 303
    GEODETICFOOT = 304
    GEOGRAPHICALMILE = 305
    GILBERT = 306
    GILL = 307
    GROSS = 308
    GUNTERSCHAIN = 309
    HAND = 310
    HARTREE = 311
    HEAD = 312
    HECTARE = 313
    HEFNERCANDLE = 314
    HERTZ = 315
    HOGSHEAD = 316
    HOMESTEAD = 317
    HORSEPOWER = 318
    HUBBLE = 319
    HYL = 320
    IMAGINARYCUBICFOOT = 321
    JANSKY = 322
    KARAT = 323
    KAYSER = 324
    KEY = 325
    KILDERKIN = 326
    KNOT = 327
    LAMBERT = 328
    LANGLEY = 329
    LAST = 330
    LEAGUE = 331
    LIGHTYEAR = 332
    LINE = 333
    LINK = 334
    LONGHUNDREDWEIGHT = 335
    LONGQUARTER = 336
    LUSEC = 337
    MASS_EARTH = 338
    MASS_MOON = 339
    MASS_SUN = 340
    MACH = 341
    MARINELEAGUE = 342
    MAXWELL = 343
    METRICCARAT = 344
    MGD = 345
    MILLIHENRY = 346
    MIL = 347
    MILLENNIUM = 348
    MINERSINCH = 349
    MINIM = 350
    MILES_PER_GALLON = 351
    MILES_PER_HOUR = 352
    NAIL = 353
    NMILE = 354
    NIT = 355
    NOGGIN = 356
    NOX = 357
    OERSTED = 358
    PACE = 359
    PAIR = 360
    PALM = 361
    PARASANG = 362
    PARSEC = 363
    PASCAL = 364
    PERCH = 365
    PHOT = 366
    PICA = 367
    PIEZE = 368
    PIPE = 369
    POINT = 370
    POISE = 371
    POLE = 372
    POND = 373
    POUNDAL = 374
    PDL = 375
    PROOF = 376
    PSI = 377
    QUARTER = 378
    QUARTERSECTION = 379
    QUINTAL = 380
    QUIRE = 381
    RADIOUS_EARTH = 382
    ADIOUS_MOON = 383
    ADIOUS_SUN = 384
    RACKUNIT = 385
    RAD = 386
    REAM = 387
    REGISTERTON = 388
    REM = 389
    RHE = 390
    RONTGEN = 391
    ROENTGEN = 392
    ROOD = 393
    ROPE = 394
    RUTHERFORD = 395
    RYDBERGCONST = 396
    RYDBERG = 397
    SABIN = 398
    SACK = 399
    SCORE = 400
    SEAM = 401
    SECTION = 402
    SHED = 403
    SHIPPINGTON = 404
    SHORTHUNDREDWEIGHT = 405
    SHORTQUARTER = 406
    SIEMENS = 407
    SIGMA = 408
    SKEIN = 409
    SKOT = 410
    SLUG = 411
    SMOOT = 412
    SPAN = 413
    SPAT = 414
    SPINDLE = 415
    SQUARE = 416
    STERE = 417
    STHENE = 418
    STILB = 419
    SB = 420
    STOKE = 421
    STONE = 422
    STRIKE = 423
    SURVEYFOOT = 424
    SURVEYYARD = 425
    SURVEYORSCHAIN = 426
    SURVEYORSLINK = 427
    TABLESPOON = 428
    TEASPOON = 429
    TESLA = 430
    THERM = 431
    THERMIE = 432
    TIMBERFOOT = 433
    TNT = 434
    TONNE = 435
    TORR = 436
    TOWNSHIP = 437
    TSP = 438
    TUN = 439
    WATER = 440
    WEY = 441
    WEYMASS = 442
    X = 443
    K = 444
    DEGC = 445
    BREWSTER = 446
    DRACHM = 447
    PONCELET = 448
    DENIER = 449
    TEX = 450
    ENGLISHELL = 451
    SCOTTISHELL = 452
    FLEMISHELL = 453
    BOHRRADIUS = 454
    BECQUEREL = 455
    FRESNEL = 456
    STATCOUL = 457
    STATAMP = 458
    STATVOLT = 459
    STATCOULOMB = 460
    STATAMPERE = 461
    DEBYE = 462
    PULSATANCE = 463
    RPM = 464
    RPS = 465
    KILOHM = 466
    MEGOHM = 467
    SIDEREALYEAR = 468
    SIDEREALDAY = 469
    SIDEREALHOUR = 470
    LUNARMONTH = 471
    SYNODICMONTH = 472
    SIDEREALMONTH = 473
    TROPICALYEAR = 474
    SOLARYEAR = 475
    LUNARYEAR = 476
    CRAN = 477
    KIP = 478
    FRENCHFOOT = 479
    TOISE = 480
    SIEVERT = 481
    CANDLE = 482
    MILITARYPACE = 483
    IUDIPTHERIA = 484
    IUPENICILLIN = 485
    IUINSULIN = 486
    COTTONYARNCOUNT = 487
    LINENYARNCOUNT = 488
    WORSTEDYARNCOUNT = 489
    METRICYARNCOUNT = 490
    JEWLERSPOINT = 491


AvUnit = AxUnit
